## org.gnu.gtk
Class RadioAction

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.Action
                  org.gnu.gtk.ToggleAction
                      org.gnu.gtk.RadioAction

public class RadioAction
extends ToggleAction

Constructor Summary
`RadioAction(java.lang.String name, java.lang.String label, java.lang.String tooltip, java.lang.String stockId, int value)`

Method Summary
`int` `getCurrentValue()`
`java.util.List` `getGroup()`
`void` `setGroup(java.util.List group)`

Methods inherited from class org.gnu.gtk.ToggleAction
`getActive, getDrawAsRadio, getToggleAction, setActive, setDrawAsRadio`

Methods inherited from class org.gnu.gtk.Action
`activate, addListener, connectAccelerator, connectProxy, createIcon, createMenuItem, createToolItem, disconnectAccelerator, disconnectProxy, getAcceleratorPath, getName, getProxies, getType, isSensitive, isVisible, removeListener, setAccelGroup, setAccelPath, setSensitive, setVisible`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RadioAction

    public RadioAction(java.lang.String name,
                       java.lang.String label,
                       java.lang.String tooltip,
                       java.lang.String stockId,
                       int value)

Method Detail

### getGroup

    public java.util.List getGroup()

### setGroup

    public void setGroup(java.util.List group)

### getCurrentValue

    public int getCurrentValue()